Subject: Re: IETF copying conditions

From: Simon Josefsson <[email-masked]>
Date: Thu, 18 Sep 2008 16:28:56 +0200

<[email-masked]> writes:

>> > I think the *whole point* of a standard is to restrict how 
>> things are 
>> > done, in order to promote interoperability.
>> 
>> Standards are recommendations not restrictions.
>
> Let's say that the restrictions viewpoint wins out in the
> IETF and all RFCs are copyrighted in such a way that I
> am not free to publish a revised version.
>
> What law would prevent me from publishing the following
> GW-SMTP document?
>
> ----snip-----
> Gee-Whizz SMTP is a derivative of IETF.
>
> In RFC 2821 replace all occurences of HELO with GDAY.
> ----snip-----
>
> This is clearly an incompatible derivative of SMTP but I 
> don't even need to quote the document, even though "fair use"
> laws would allow me to do that.

Indeed, and that is why the argument that specifications need to be
copy+modify protected in order to prevent incompatible derivatives is
silly.

Further, re-writing RFC 2821 using other words is a feasible task for
any significant SDO that really wishes to standardize a modified variant
of SMTP.

> P.S. it seems to me that the best way to ensure that incompatible
> derivatives do not flourish is to make sure that the work of the
> IETF remains relevant to the current situation, and not mired in
> the past. That way, the IETF will maintain a position of respect 
> and people will not want to create incompatible derivative works.
>
> Openness is required in order for advancement to occur.

+1.

/Simon
_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ipr-wg